import { WorkspaceService } from './workspace.service';
import { SearchWorkspaceQueryDto, SearchWorkspaceResponseDto } from './dto/search-workspace.dto';
import { FileTreeResponseDto } from './dto/file-tree.dto';
interface FileContentResponse {
    content: string;
}
export declare class WorkspaceController {
    private readonly workspaceService;
    constructor(workspaceService: WorkspaceService);
    getFileTree(): Promise<FileTreeResponseDto>;
    invalidateFileTreeCache(): Promise<void>;
    search(query: SearchWorkspaceQueryDto): Promise<SearchWorkspaceResponseDto>;
    getFileContent(path: string): Promise<FileContentResponse>;
}
export {};
